// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) Users() Users { return Users(t) }

type Users struct{ alias string }

func (t Users) TableAlias() string { return t.alias }
func (t Users) name() string       { return "Users" }
func (t Users) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t Users) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.UserID(),
		c.BannedAt(),
		c.IsBanned(),
		c.CreatedAt(),
		c.UnbannedAt(),
		c.LanguageCodes(),
	}
}

func (t Users) Columns() UsersCols { return UsersCols{tableAlias: t.alias} }

type UsersCols struct{ tableAlias string }

func (c UsersCols) UserID() string        { return colName(c.tableAlias, "UserID") }        // STRING(36)
func (c UsersCols) BannedAt() string      { return colName(c.tableAlias, "BannedAt") }      // TIMESTAMP NULL
func (c UsersCols) IsBanned() string      { return colName(c.tableAlias, "IsBanned") }      // BOOL AS (CASE WHEN BannedAt IS NULL THEN FALSE WHEN BannedAt IS NOT NULL AND UnbannedAt IS NULL THEN TRUE WHEN BannedAt IS NOT NULL AND UnbannedAt IS NOT NULL AND BannedAt > UnbannedAt THEN TRUE ELSE FALSE END) STORED
func (c UsersCols) CreatedAt() string     { return colName(c.tableAlias, "CreatedAt") }     // TIMESTAMP
func (c UsersCols) UnbannedAt() string    { return colName(c.tableAlias, "UnbannedAt") }    // TIMESTAMP NULL
func (c UsersCols) LanguageCodes() string { return colName(c.tableAlias, "LanguageCodes") } // ARRAY<STRING(36)>
